Light Logo
Models

Create a model

Create a new model.

POST
/models
AuthorizationBearer <token>

In: header

nameName

The name of the model.

visibility?ModelVisibility

The visibility of the model. 'public' models are visible to everyone and can be run and downloaded by anyone. 'restricted' models are visible to everyone and can be run by anyone, but only the owner can download them. 'private' models are only visible to the owner and can only be run or downloaded by the owner.

Default"private"
Value in"private" | "public" | "restricted"
description?Description

The description of the model.

overview?Overview

The overview of the model.

source_url?Source Url

Source url from where the model's code can be referenced.

license_url?License Url

License url where the model's usage is specified.

paper_url?Paper Url

Paper url from where research info on the model can be found.

category_slugs?Category Slugs

A list of model category slugs.

Default[]

Response Body

curl -X POST "https://api.wrift.ai/v1/models" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "visibility": "private",
  "description": "string",
  "updated_at": "2019-08-24T14:15:22Z",
  "owner": {
    "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",
    "name": "string",
    "avatar_url": "string"
  },
  "predictions_count": 0,
  "categories": [
    {
      "name": "string",
      "slug": "string"
    }
  ],
  "overview": "string",
  "source_url": "http://example.com",
  "license_url": "http://example.com",
  "paper_url": "http://example.com",
  "cover_image_url": "http://example.com",
  "latest_version": {
    "schemas": {
      "prediction": {
        "input": {},
        "output": {}
      }
    },
    "compatibilities": {
      "openai_chat_completions": false,
      "openai_images_generations": false,
      "openai_embeddings": false,
      "openai_responses": false,
      "anthropic_messages": false
    },
    "number": 0,
    "release_notes": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "container_image_digest": "string"
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}